# Interface MBasicFactory

All Known Implementing Classes:
  `BasicFactoryImpl`

public interface MBasicFactory
The Factory for the model. It provides a create method for each non-abstract class of the model.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final MBasicFactory`
`INSTANCE`
The singleton instance of the factory.

## Method Summary

Modifier and Type
Method
Description
`MPartDescriptor`
`createPartDescriptor()`
Returns a new object of class 'Part Descriptor'.

## Field Details

### INSTANCE

static final MBasicFactory INSTANCE
The singleton instance of the factory.

## Method Details

### createPartDescriptor

MPartDescriptor createPartDescriptor()
Returns a new object of class 'Part Descriptor'.

Returns:
  a new object of class 'Part Descriptor'.
Since:
  1.0